import requests
import logging
from datetime import date
import json

today = date.today()
today_logs = today.strftime("%d_%m_%Y")

logging.basicConfig(filename=("logs/pigu_orders_" + today_logs +".log"), level=logging.INFO, format='%(asctime)s %(levelname)s:%(message)s', datefmt='%Y-%m-%d %H:%M:%S')

API_URL = 'https://pmpapi.pigugroup.eu'
HEADERS =  {
    'Content-Type': 'application/json'
}

def generate_token(username, password, company):
    data = {
        'username': username,
        'password': password
    }
    r = requests.post(API_URL+'/v3/login', json = data, headers = HEADERS)
    try:
        print(f"RESPONSE\n\nstatus code: {r.status_code}\n\nresponse text: {json.dumps(r.json(), indent=2)}")
        logging.info(f"status: {r.status_code}\nresponse: {json.dumps(r.json(), indent=2)}")
    except:
        print(f"RESPONSE\n\nstatus code: {r.status_code}\n\nresponse text: {r.text}")
        logging.info(f"status: {r.status_code}\nresponse: {r.text}")

    with open(f'pigu_{company}_token.json', 'w') as f:
        f.write(r.text)
        
if __name__ == "__main__":
    generate_token('zuzanna.komorowska@shumee.pl', 'T6TMQw8m9eLkaup', 'gs')
    generate_token('michal@shumee.pl', 'Tymcz@sow3PigU', 'sh')